Package sudoku.solver

# Class RandomSolver

java.lang.Object
sudoku.solver.RandomSolver

All Implemented Interfaces:
  `Solver`

public class RandomSolver extends Object implements Solver

- ## Field Summary

  ### Fields inherited from interface sudoku.solver.Solver

  `logger`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RandomSolver()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `solve(MultiDoku doku, List<SolverStep> steps)`
  Résout, si possible, le multidoku passé en paramètre en testant toutes les possibilités, de manière aléatoire, avec un algorithme de backtracking.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface sudoku.solver.Solver

  `addStep, countSolution, solve`

- ## Constructor Details

  - ### RandomSolver

    public RandomSolver()

- ## Method Details

  - ### solve

    public boolean solve(MultiDoku doku, List<SolverStep> steps)
    Résout, si possible, le multidoku passé en paramètre en testant toutes les possibilités, de manière aléatoire, avec un algorithme de backtracking.
    Specified by:
      `solve` in interface `Solver`
    Parameters:
      `doku` - Multidoku, à résoudre
    Returns:
      boolean, true s'il est résolu ou false s'il ne l'est pas.